Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cospv2/lmdz_cosp_interface.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cospv2/lmdz_cosp_interface.F90	(revision 5099)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cospv2/lmdz_cosp_interface.F90	(revision 5133)
@@ -63,6 +63,6 @@
 
 !!! Modules specifiques a l'interface LMDZ-COSP
-  use mod_phys_lmdz_para
-  use mod_grid_phy_lmdz
+  use lmdz_phys_para
+  use lmdz_grid_phy
   use ioipsl
   use iophy
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cospv2/lmdz_cosp_output_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cospv2/lmdz_cosp_output_mod.F90	(revision 5099)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cospv2/lmdz_cosp_output_mod.F90	(revision 5133)
@@ -325,5 +325,5 @@
   USE phys_cal_mod
   USE time_phylmdz_mod, ONLY: day_ref, annee_ref, day_ini, start_time, itau_phy
-  USE print_control_mod, ONLY: lunout
+  USE lmdz_print_control, ONLY: lunout
   ! ug Pour les sorties XIOS
   USE wxios
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cospv2/lmdz_cosp_output_write_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cospv2/lmdz_cosp_output_write_mod.F90	(revision 5099)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cospv2/lmdz_cosp_output_write_mod.F90	(revision 5133)
@@ -35,5 +35,5 @@
     USE ioipsl
     USE time_phylmdz_mod, ONLY: itau_phy, start_time, day_step_phy
-    USE print_control_mod, ONLY: lunout,prt_level
+    USE lmdz_print_control, ONLY: lunout,prt_level
     USE lmdz_cosp_read_outputkeys, only: cosp_config
 !COSPv2
@@ -654,7 +654,7 @@
     USE dimphy
     use iophy
-    USE mod_phys_lmdz_para
-    USE mod_grid_phy_lmdz, ONLY: nbp_lon
-    USE print_control_mod, ONLY: lunout,prt_level
+    USE lmdz_phys_para
+    USE lmdz_grid_phy, ONLY: nbp_lon
+    USE lmdz_print_control, ONLY: lunout,prt_level
   USE wxios
 
@@ -707,7 +707,7 @@
     USE dimphy
     use iophy
-    USE mod_phys_lmdz_para
-    USE mod_grid_phy_lmdz, ONLY: nbp_lon
-    USE print_control_mod, ONLY: lunout,prt_level
+    USE lmdz_phys_para
+    USE lmdz_grid_phy, ONLY: nbp_lon
+    USE lmdz_print_control, ONLY: lunout,prt_level
 
   USE wxios
@@ -801,11 +801,12 @@
  SUBROUTINE histwrite2d_cosp(var,field)
   USE dimphy
-  USE mod_phys_lmdz_para
+  USE lmdz_phys_para
   USE ioipsl
   use iophy
-  USE mod_grid_phy_lmdz, ONLY: nbp_lon
-  USE print_control_mod, ONLY: lunout,prt_level
+  USE lmdz_grid_phy, ONLY: nbp_lon
+  USE lmdz_print_control, ONLY: lunout,prt_level
 
   USE lmdz_xios, only: xios_send_field
+  USE lmdz_abort_physic, ONLY: abort_physic
 
   IMPLICIT NONE
@@ -883,11 +884,12 @@
   SUBROUTINE histwrite3d_cosp(var, field, nverts, ncols)
   USE dimphy
-  USE mod_phys_lmdz_para
+  USE lmdz_phys_para
   USE ioipsl
   use iophy
-  USE mod_grid_phy_lmdz, ONLY: nbp_lon
-  USE print_control_mod, ONLY: lunout,prt_level
+  USE lmdz_grid_phy, ONLY: nbp_lon
+  USE lmdz_print_control, ONLY: lunout,prt_level
 
   USE lmdz_xios, only: xios_send_field
+  USE lmdz_abort_physic, ONLY: abort_physic
 
 
@@ -974,11 +976,12 @@
   SUBROUTINE histwrite4d_cosp(var, field)
   USE dimphy
-  USE mod_phys_lmdz_para
+  USE lmdz_phys_para
   USE ioipsl
   use iophy
-  USE mod_grid_phy_lmdz, ONLY: nbp_lon
-  USE print_control_mod, ONLY: lunout,prt_level
+  USE lmdz_grid_phy, ONLY: nbp_lon
+  USE lmdz_print_control, ONLY: lunout,prt_level
 
   USE lmdz_xios, only: xios_send_field
+  USE lmdz_abort_physic, ONLY: abort_physic
 
 
@@ -1024,5 +1027,5 @@
     !   en utilisant les routines getin de IOIPSL  
     use ioipsl
-    USE print_control_mod, ONLY: lunout,prt_level
+    USE lmdz_print_control, ONLY: lunout,prt_level
 
     IMPLICIT NONE
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cospv2/lmdz_cosp_read_outputkeys.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cospv2/lmdz_cosp_read_outputkeys.F90	(revision 5099)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cospv2/lmdz_cosp_read_outputkeys.F90	(revision 5133)
@@ -17,5 +17,5 @@
 module lmdz_cosp_read_outputkeys
 
-  USE mod_phys_lmdz_para
+  USE lmdz_phys_para
 
   !%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%