Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/add_phys_tend_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/add_phys_tend_mod.F90	(revision 5133)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/add_phys_tend_mod.F90	(revision 5134)
@@ -160,5 +160,5 @@
 #endif  
 #endif
-IMPLICIT none
+IMPLICIT NONE
   include "YOMCST.h"
   include "clesphys.h"
@@ -684,5 +684,5 @@
 USE phys_output_var_mod, ONLY: d_qw_col, d_ql_col, d_qs_col, d_qbs_col, d_qt_col, d_ek_col, d_h_dair_col &
               , d_h_qw_col, d_h_ql_col, d_h_qs_col, d_h_qbs_col, d_h_col
-IMPLICIT none
+IMPLICIT NONE
   include "YOMCST.h"
   include "clesphys.h"
@@ -834,5 +834,5 @@
                     zh_qw_col, zh_ql_col, zh_qs_col, zh_qbs_col, zh_col)
 
-IMPLICIT none
+IMPLICIT NONE
   include "YOMCST.h"
 
@@ -915,5 +915,5 @@
       , rain_lsc, snow_lsc
 USE climb_hq_mod, ONLY: d_h_col_vdf, f_h_bnd
-IMPLICIT none
+IMPLICIT NONE
 include "YOMCST.h"
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/add_wake_tend.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/add_wake_tend.F90	(revision 5133)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/add_wake_tend.F90	(revision 5134)
@@ -21,5 +21,5 @@
     USE phys_state_var_mod, ONLY:  wake_deltaxt   
 #endif
-IMPLICIT none
+IMPLICIT NONE
 
 ! Arguments :
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/alpale.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/alpale.F90	(revision 5133)
+++ 	(revision )
@@ -1,1 +1,0 @@
-link ../phylmd/alpale.F90
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/alpale.h
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/alpale.h	(revision 5133)
+++ 	(revision )
@@ -1,1 +1,0 @@
-link ../phylmd/alpale.h
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/lmdz_alpale.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/lmdz_alpale.f90	(revision 5134)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/lmdz_alpale.f90	(revision 5134)
@@ -0,0 +1,1 @@
+link ../phylmd/lmdz_alpale.f90
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/lmdz_lscp_old.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/lmdz_lscp_old.F90	(revision 5133)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/lmdz_lscp_old.F90	(revision 5134)
@@ -68,5 +68,5 @@
 #endif
 
-  IMPLICIT none
+  IMPLICIT NONE
   !======================================================================
   ! Auteur(s): Z.X. Li (LMD/CNRS)
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/phyetat0_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/phyetat0_mod.F90	(revision 5133)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/phyetat0_mod.F90	(revision 5134)
@@ -51,4 +51,5 @@
   USE netcdf, ONLY: missing_val_netcdf => nf90_fill_real
   USE config_ocean_skin_m, ONLY: activate_ocean_skin
+  USE lmdz_alpale
 #ifdef ISO
   USE infotrac_phy, ONLY: niso
@@ -60,5 +61,5 @@
 #endif
 
-  IMPLICIT none
+  IMPLICIT NONE
   !======================================================================
   ! Auteur(s) Z.X. Li (LMD/CNRS) date: 19930818
@@ -67,5 +68,4 @@
   include "dimsoil.h"
   include "clesphys.h"
-  include "alpale.h"
   include "compbl.h"
   include "YOMCST.h"
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/phyredem.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/phyredem.F90	(revision 5133)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/phyredem.F90	(revision 5134)
@@ -52,10 +52,10 @@
   USE config_ocean_skin_m, ONLY: activate_ocean_skin
   USE lmdz_abort_physic, ONLY: abort_physic
-
-  IMPLICIT none
+  USE lmdz_alpale
+
+  IMPLICIT NONE
 
   include "dimsoil.h"
   include "clesphys.h"
-  include "alpale.h"
   include "compbl.h"
   !======================================================================
@@ -509,4 +509,5 @@
 #endif
       !USE phyredem, ONLY: put_field_srf1
+      USE lmdz_alpale
 
         IMPLICIT NONE
@@ -516,5 +517,4 @@
  include "dimsoil.h"
  include "clesphys.h"
- include "alpale.h"
  include "compbl.h"
       ! inputs
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/physiq_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/physiq_mod.F90	(revision 5133)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/physiq_mod.F90	(revision 5134)
@@ -418,4 +418,5 @@
        USE output_physiqex_mod, ONLY: output_physiqex
        USE lmdz_simu_airs, ONLY: simu_airs
+       USE lmdz_alpale
 
 
@@ -474,5 +475,4 @@
     include "dimsoil.h"
     include "clesphys.h"
-    include "alpale.h"
     include "dimpft.h"
     !======================================================================
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/reevap.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/reevap.F90	(revision 5133)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/reevap.F90	(revision 5134)
@@ -15,5 +15,5 @@
 #endif
 #endif
-    IMPLICIT none
+    IMPLICIT NONE
     !>======================================================================
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/simu_airs.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/simu_airs.F90	(revision 5133)
+++ 	(revision )
@@ -1,1 +1,0 @@
-link ../phylmd/simu_airs.F90