Index: LMDZ6/trunk/libf/phylmd/StratAer/traccoag_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/StratAer/traccoag_mod.F90	(revision 5149)
+++ LMDZ6/trunk/libf/phylmd/StratAer/traccoag_mod.F90	(revision 5150)
@@ -12,5 +12,5 @@
     USE phys_local_var_mod, ONLY: mdw, R2SO4, DENSO4, f_r_wet, surf_PM25_sulf, & 
         & budg_emi_ocs, budg_emi_so2, budg_emi_h2so4, budg_emi_part, &
-        & R2SO4B, DENSO4B, f_r_wetB, sulfmmr, SAD_sulfate, sulfmmr_mode, nd_mode
+        & R2SO4B, DENSO4B, f_r_wetB, sulfmmr, SAD_sulfate, sulfmmr_mode, nd_mode, reff_sulfate
     
     USE dimphy
@@ -83,4 +83,5 @@
     INTEGER                                :: injdur_sai          ! injection duration for SAI case [days]
     INTEGER                                :: yr, is_bissext
+    REAL                                   :: samoment2, samoment3! 2nd and 3rd order moments of size distribution
 
     IF (is_mpi_root .AND. flag_verbose_strataer) THEN
@@ -355,7 +356,10 @@
      sulfmmr_mode(:,:,:)=0.0
      nd_mode(:,:,:)=0.0
+     reff_sulfate(:,:)=0.0
      
      DO i=1,klon
         DO j=1,klev
+           samoment2=0.0
+           samoment3=0.0
            DO it=1, nbtr_bin
               !surf_PM25_sulf(i)=surf_PM25_sulf(i)+tr_seri(i,1,it+nbtr_sulgas)*m_part(i,1,it) &
@@ -382,11 +386,26 @@
                       &  *4.*RPI*( mdw(it)*f_r_wetB(i,j,it)/2. )**2. &       ! [WET SA of part it in m2] 
                       &  *1.e-2                                              ! conversion from m2/m3 to cm2/cm3A
+!    samoment2 : 2nd order moment of WET sulfate aerosols (m2/m3)
+                 samoment2 = samoment2 + nd_mode(i,j,it) &     ! [DRY part/m3A (in bin it)]
+                      &  *( mdw(it)*f_r_wetB(i,j,it)/2. )**2.                     ! [WET SA of part it in m2]
+!    samoment3 : 3nd order moment of WET sulfate aerosols (cm2/cm3)
+                 samoment3 = samoment3 + nd_mode(i,j,it) &     ! [DRY part/m3A (in bin it)]
+                      &  *( mdw(it)*f_r_wetB(i,j,it)/2. )**3.                     ! [WET SA of part it in m2]
               ELSE
-                 !     SAD_sulfate: SAD WET sulfate aerosols (cm2/cm3)
+!     SAD_sulfate: SAD WET sulfate aerosols (cm2/cm3)
                  SAD_sulfate(i,j) = SAD_sulfate(i,j) + nd_mode(i,j,it) &     ! [DRY part/m3A (in bin it)] 
                       &  *4.*RPI*( mdw(it)*f_r_wet(i,j)/2. )**2. &           ! [WET SA of part it in m2] 
                       &  *1.e-2                                              ! conversion from m2/m3 to cm2/cm3A
+!    samoment2 : 2nd order moment of WET sulfate aerosols (m2/m3)
+                 samoment2 = samoment2 + nd_mode(i,j,it) &     ! [DRY part/m3A (in bin it)]
+                      &  *( mdw(it)*f_r_wet(i,j)/2. )**2.                          ! [WET SA of part it in m2]
+!    samoment3 : 3nd order moment of WET sulfate aerosols (cm2/cm3)
+                 samoment3 = samoment3 + nd_mode(i,j,it) &     ! [DRY part/m3A (in bin it)]
+                      &  *( mdw(it)*f_r_wet(i,j)/2. )**3.                          ! [WET SA of part it in m2]
               ENDIF
            ENDDO
+!     reff_sulfate: effective radius of WET sulfate aerosols (cm)
+           reff_sulfate(i,j) = (samoment3 / samoment2) &
+                & *1.e2                                              ! conversion from m to cm
         ENDDO
      ENDDO
Index: LMDZ6/trunk/libf/phylmd/phys_local_var_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/phys_local_var_mod.F90	(revision 5149)
+++ LMDZ6/trunk/libf/phylmd/phys_local_var_mod.F90	(revision 5150)
@@ -768,4 +768,7 @@
       REAL, ALLOCATABLE, SAVE, DIMENSION(:,:) :: SAD_sulfate
 !$OMP THREADPRIVATE(SAD_sulfate)
+!     Effective radius of wet surface aerosols (cm)
+      REAL, ALLOCATABLE, SAVE, DIMENSION(:,:) :: reff_sulfate
+!$OMP THREADPRIVATE(reff_sulfate)
 !     sulfate MMR in different modes (based on sulfmmr, it must be dry mmr)
       REAL, ALLOCATABLE, SAVE, DIMENSION(:,:,:) :: sulfmmr_mode
@@ -1277,4 +1280,5 @@
       ALLOCATE (sulfmmr(klon,klev))
       ALLOCATE (SAD_sulfate(klon,klev))
+      ALLOCATE (reff_sulfate(klon,klev))
       ALLOCATE (sulfmmr_mode(klon,klev,nbtr_bin))
       ALLOCATE (nd_mode(klon,klev,nbtr_bin))
@@ -1650,4 +1654,5 @@
       DEALLOCATE (sulfmmr)
       DEALLOCATE (SAD_sulfate)
+      DEALLOCATE (reff_sulfate)
       DEALLOCATE (sulfmmr_mode)
       DEALLOCATE (nd_mode)
Index: LMDZ6/trunk/libf/phylmd/phys_output_ctrlout_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/phys_output_ctrlout_mod.F90	(revision 5149)
+++ LMDZ6/trunk/libf/phylmd/phys_output_ctrlout_mod.F90	(revision 5150)
@@ -1453,4 +1453,6 @@
   TYPE(ctrl_out), SAVE :: o_SAD_sulfate = ctrl_out((/ 11, 11, 11, 11, 11, 11, 11, 11, 11, 1/), &
     'SAD_sulfate', 'SAD WET sulfate aerosols', 'cm2/cm3', (/ ('', i=1, 10) /))
+  TYPE(ctrl_out), SAVE :: o_reff_sulfate = ctrl_out((/ 11, 11, 11, 11, 11, 11, 11, 11, 11, 1/), &
+    'reff_sulfate', 'Effective radius of WET sulfate aerosols', 'cm', (/ ('', i=1, 10) /))
   TYPE(ctrl_out), SAVE :: o_sulfmmr = ctrl_out((/ 11, 11, 11, 11, 11, 11, 11, 11, 11, 1/), &
     'sulfMMR', 'Sulfate aerosol concentration (dry mass mixing ratio)', 'kg(H2SO4)/kg(air)', (/ ('', i=1, 10) /))
Index: LMDZ6/trunk/libf/phylmd/phys_output_write_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/phys_output_write_mod.F90	(revision 5149)
+++ LMDZ6/trunk/libf/phylmd/phys_output_write_mod.F90	(revision 5150)
@@ -259,5 +259,5 @@
          o_surf_PM25_sulf, o_ext_strat_550, o_tau_strat_550, &
          o_vsed_aer, o_tau_strat_1020, o_ext_strat_1020, o_f_r_wet, &
-         o_SAD_sulfate, o_sulfmmr, o_nd_mode, o_sulfmmr_mode
+         o_SAD_sulfate, o_reff_sulfate, o_sulfmmr, o_nd_mode, o_sulfmmr_mode
 #endif
 
@@ -418,5 +418,5 @@
          surf_PM25_sulf, tau_strat_550, tausum_strat, &
          vsed_aer, tau_strat_1020, f_r_wet, &
-         SAD_sulfate, sulfmmr, nd_mode, sulfmmr_mode
+         SAD_sulfate, reff_sulfate, sulfmmr, nd_mode, sulfmmr_mode
 #endif
 
@@ -1850,4 +1850,5 @@
           CALL histwrite_phy(o_tau_strat_1020, tausum_strat(:,2))
           CALL histwrite_phy(o_SAD_sulfate, SAD_sulfate)
+          CALL histwrite_phy(o_reff_sulfate, reff_sulfate)
           CALL histwrite_phy(o_sulfmmr, sulfmmr)
           ! All BINs fields