Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/FCTTRE.h
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/FCTTRE.h	(revision 5153)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/FCTTRE.h	(revision 5153)
@@ -0,0 +1,1 @@
+link ../phylmd/FCTTRE.h
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/concvl.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/concvl.F90	(revision 5152)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/concvl.F90	(revision 5153)
@@ -66,8 +66,9 @@
   USE lmdz_clesphys
   USE lmdz_conema3
-  USE lmdz_fcttre, ONLY: foeew, foede, qsats, qsatl, dqsats, dqsatl, thermcep
+
   USE lmdz_yomcst
 
   IMPLICIT NONE
+ INCLUDE "FCTTRE.h"
 ! ======================================================================
 ! Auteur(s): S. Bony-Lena (LMD/CNRS) date: ???
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv3_enthalpmix.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv3_enthalpmix.F90	(revision 5152)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv3_enthalpmix.F90	(revision 5153)
@@ -19,8 +19,9 @@
 USE lmdz_cvthermo
 USE lmdz_yoethf
-USE lmdz_fcttre, ONLY: foeew, foede, qsats, qsatl, dqsats, dqsatl, thermcep
+
 USE lmdz_yomcst
 
   IMPLICIT NONE
+ INCLUDE "FCTTRE.h"
   ! ==============================================================
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv3_estatmix.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv3_estatmix.F90	(revision 5152)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv3_estatmix.F90	(revision 5153)
@@ -20,8 +20,9 @@
 USE lmdz_cvthermo
 USE lmdz_yoethf
-USE lmdz_fcttre, ONLY: foeew, foede, qsats, qsatl, dqsats, dqsatl, thermcep
+
 USE lmdz_yomcst
 
   IMPLICIT NONE
+ INCLUDE "FCTTRE.h"
   ! ==============================================================
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_routines_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_routines_mod.F90	(revision 5152)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_routines_mod.F90	(revision 5153)
@@ -12844,7 +12844,8 @@
 #endif
 USE lmdz_yoethf
-USE lmdz_fcttre, ONLY: foeew, foede, qsats, qsatl, dqsats, dqsatl, thermcep
+
 
         IMPLICIT NONE
+ INCLUDE "FCTTRE.h"
 
         ! gestion de la neige: on precipte dessus, sublime, effondre,
@@ -13408,7 +13409,8 @@
 #endif
 USE lmdz_yoethf
-USE lmdz_fcttre, ONLY: foeew, foede, qsats, qsatl, dqsats, dqsatl, thermcep
+
 
         IMPLICIT NONE
+ INCLUDE "FCTTRE.h"
 
         ! inputs
@@ -14319,7 +14321,8 @@
 #endif
 USE lmdz_yoethf
-USE lmdz_fcttre, ONLY: foeew, foede, qsats, qsatl, dqsats, dqsatl, thermcep
+
 
         IMPLICIT NONE
+ INCLUDE "FCTTRE.h"
 
         ! inputs
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/lmdz_lscp_old.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/lmdz_lscp_old.F90	(revision 5152)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/lmdz_lscp_old.F90	(revision 5153)
@@ -69,8 +69,9 @@
 
 USE lmdz_yoethf
-  USE lmdz_fcttre, ONLY: foeew, foede, qsats, qsatl, dqsats, dqsatl, thermcep
+
   USE lmdz_yomcst
 
   IMPLICIT NONE
+ INCLUDE "FCTTRE.h"
   !======================================================================
   ! Auteur(s): Z.X. Li (LMD/CNRS)
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/physiq_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/physiq_mod.F90	(revision 5152)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/physiq_mod.F90	(revision 5153)
@@ -426,8 +426,9 @@
     USE lmdz_dimpft, ONLY: nvm_lmdz
     USE lmdz_yoethf
-    USE lmdz_fcttre, ONLY: foeew, foede, qsats, qsatl, dqsats, dqsatl, thermcep
+
     USE lmdz_yomcst
 
     IMPLICIT NONE
+ INCLUDE "FCTTRE.h"
     !>======================================================================
     !!
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/reevap.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/reevap.F90	(revision 5152)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/reevap.F90	(revision 5153)
@@ -17,8 +17,9 @@
 
     USE lmdz_yoethf
-    USE lmdz_fcttre, ONLY: foeew, foede, qsats, qsatl, dqsats, dqsatl, thermcep
+
     USE lmdz_yomcst
 
     IMPLICIT NONE
+ INCLUDE "FCTTRE.h"
     !>======================================================================
 