Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/dustemission_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/dustemission_mod.F90	(revision 5153)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/dustemission_mod.F90	(revision 5158)
@@ -256,7 +256,7 @@
  
 
-  do k=1,klon
+  DO k=1,klon
       maskdustloc(k)=0
-      do i=1,ntyp
+      DO i=1,ntyp
          IF (masklisa(k,i)>0) THEN
              maskdustloc(k)=1
@@ -358,5 +358,5 @@
   auxr3=9999.
   auxr4=9999.
-  do i=1,nbins+1
+  DO i=1,nbins+1
    IF (abs(sizeacclow-itv(i))<auxr1) THEN
           auxr1=abs( sizeacclow-itv(i))
@@ -380,6 +380,6 @@
 IF (writeaerosoldistrib) THEN
 !JEdbg<<
-  do j=1,klon
-  do i=1,nbins
+  DO j=1,klon
+  DO i=1,nbins
     itvmean(j,i)=(itv(i)+itv(i+1))/2.
     itv2(j,i)=itv(i)
@@ -405,6 +405,6 @@
   ALLOCATE(emisbinlocalmean(klon,nbins))
   ALLOCATE(emisbinlocalmean2(klon,nbins))
-  do i=1,nbins
-    do j=1,klon
+  DO i=1,nbins
+    DO j=1,klon
        emisbinlocalmean(j,i)=0.0
        emisbinlocalmean2(j,i)=0.0
@@ -433,13 +433,13 @@
 auxr2=0.0
 auxr3=0.0
-  do i=iminacclow,iminacchigh-1
+  DO i=iminacclow,iminacchigh-1
    auxr1=auxr1+emisbinlocal(k,i)
   enddo
   emdustacc(k)=(auxr1 + basesumacc(k))*tuningfactorfine
-  do i=imincoalow,imincoahigh-1
+  DO i=imincoalow,imincoahigh-1
     auxr2=auxr2+emisbinlocal(k,i)
   enddo
   emdustcoa(k)=(auxr2 + basesumcoa(k))*tuningfactorcoa
-  do i=iminscolow,iminscohigh-1
+  DO i=iminscolow,iminscohigh-1
     auxr3=auxr3+emisbinlocal(k,i)
   enddo
@@ -468,6 +468,6 @@
 !JEdbg<<
 IF (writeaerosoldistrib) THEN
-  do i=1,nbins
-    do j=1,klon
+  DO i=1,nbins
+    DO j=1,klon
         emisbinlocalmean(j,i)=emisbinlocalmean(j,i)+emisbinlocal(j,i)
     enddo 
@@ -479,6 +479,6 @@
 IF (MOD(counter,1440)== 0) THEN
    !if (MOD(counter,480).EQ. 0) THEN
-   do k = 1,klon
-   do i=1,nbins
+   DO k = 1,klon
+   DO i=1,nbins
      emisbinlocalmean2(k,i)=emisbinlocalmean(k,i)/float(counter1)
    enddo
@@ -493,6 +493,6 @@
 !!$OMP END MASTER
 !!$OMP BARRIER
-   do i=1,nbins
-     do j=1,klon
+   DO i=1,nbins
+     DO j=1,klon
         emisbinlocalmean(j,i)=0.0
      enddo
@@ -751,5 +751,5 @@
       dstep=0.0005
       dp=dmin
-      do i=1,nclass
+      DO i=1,nclass
          dp=dp*exp(dstep)
          sizeclass(i)=dp
@@ -770,5 +770,5 @@
 !c 0: Iversen and White 1982
        print *,'Using  Iversen and White 1982 Uth'
-         do i=1,ncl
+         DO i=1,ncl
             bb=adust*(sizeclass(i)**xdust)+bdust
             cc=sqrt(1+ddust*(sizeclass(i)**(-2.5)))
@@ -789,5 +789,5 @@
             an=0.0123
             gam=0.3
-            do i=1,ncl
+            DO i=1,ncl
                sigshao=rop/roa
                x1=sigshao*gravity*sizeclass(i)
@@ -845,6 +845,6 @@
   !wind friction velocity.
       !    feff(:,:)=0.
-       do i=1,klon
-          do k=1,ntyp
+       DO i=1,klon
+          DO k=1,ntyp
      !     PRINT*,'IKKK ',i,klon,k,ntyp
              IF (zos(i,k)==0..or.z01(i,k)==0.) THEN
@@ -887,6 +887,6 @@
   IF (flag_feff == 0) THEN
     print *,'JE_dbg FORCED deactivated feff'
-    do i=1,klon
-      do k=1,ntyp
+    DO i=1,klon
+      DO k=1,ntyp
         feff(i,k)=1.
       enddo
@@ -1273,5 +1273,5 @@
 
 !                  CALL def_ag01(kfin,ft1,ft2,ft3)
-      do ni=1,kfin
+      DO ni=1,kfin
          fdp1=1.-(uth2(ni)/(ceff*ustarsalt))
          IF (fdp1<=0..or.srel2(nat,ni)==0.) THEN
@@ -1388,5 +1388,5 @@
 ! readaptation of large sizes particles
          kfin=0
-         do i=ideb,ifin
+         DO i=ideb,ifin
             kfin=kfin+1
             sizeclass2(kfin)=sizeclass(i)
@@ -1397,5 +1397,5 @@
          kfin2=kfin
          istep=50
-         do i=ifin,ncl,istep
+         DO i=ifin,ncl,istep
             kfin=kfin+1
             sizeclass2(kfin)=sizeclass(i)
@@ -1433,5 +1433,5 @@
       ismax=i2
       ihalf=int((ismax+ismin)/2.)
-      do k2=1,1000000
+      DO k2=1,1000000
           IF(ds>siz(ihalf))THEN
              ismin=ihalf
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/minmaxqfi2.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/minmaxqfi2.f90	(revision 5153)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/minmaxqfi2.f90	(revision 5158)
@@ -4,4 +4,7 @@
   USE infotrac
   USE lmdz_libmath, ONLY: ismax, ismin
+
+  IMPLICIT NONE
+
   INCLUDE "dimensions.h"
 
@@ -9,4 +12,5 @@
   CHARACTER(LEN = *) :: comment
   REAL :: qmin, qmax
+  REAL :: zqmin, zqmax
   REAL :: zq(klon, klev)
 
@@ -24,7 +28,5 @@
   zqmax = zq(ijmax, lmax)
 
-  IF(zqmin<qmin.OR.zqmax>qmax) &
-          WRITE(*, 9999) comment, &
-                  ijmin, lmin, zqmin, ijmax, lmax, zqmax
+  IF(zqmin<qmin.OR.zqmax>qmax) WRITE(*, 9999) comment, ijmin, lmin, zqmin, ijmax, lmax, zqmax
 
   RETURN
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/minmaxsource.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/minmaxsource.f90	(revision 5153)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/minmaxsource.f90	(revision 5158)
@@ -5,4 +5,6 @@
   USE lmdz_libmath, ONLY: ismax, ismin
 
+  IMPLICIT NONE
+
   INCLUDE "dimensions.h"
 
@@ -10,4 +12,5 @@
   CHARACTER(LEN = *) :: comment
   REAL :: qmin, qmax
+  REAL :: zqmin, zqmax
   REAL :: zq(klon, nbtr)
 
@@ -25,7 +28,5 @@
   zqmax = zq(ijmax, lmax)
 
-  IF(zqmin<qmin.OR.zqmax>qmax) &
-          WRITE(*, 9999) comment, &
-                  ijmin, lmin, zqmin, ijmax, lmax, zqmax
+  IF(zqmin<qmin.OR.zqmax>qmax) WRITE(*, 9999) comment, ijmin, lmin, zqmin, ijmax, lmax, zqmax
 
   RETURN
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/neutral.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/neutral.f90	(revision 5153)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/neutral.f90	(revision 5158)
@@ -41,5 +41,5 @@
 
   psi = 0.
-  do i = 1, klon
+  DO i = 1, klon
 
     IF (u10_mps(i) < 0.) u10_mps(i) = 0.0
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/phytracr_spl_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/phytracr_spl_mod.F90	(revision 5153)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/phytracr_spl_mod.F90	(revision 5158)
@@ -1343,7 +1343,7 @@
 
     !JE_dbg
-    do i = 1, klon
+    DO i = 1, klon
       tsol(i) = 0.0
-      do j = 1, nbsrf
+      DO j = 1, nbsrf
         tsol(i) = tsol(i) + ftsol(i, j) * pctsrf(i, j)
       enddo
@@ -1382,5 +1382,5 @@
       id_scdu = -1
       itr = 0
-      do iq = 1, nqtot
+      DO iq = 1, nqtot
         IF(.NOT.tracers(iq)%isInPhysics) CYCLE
         itr = itr + 1
@@ -1941,5 +1941,5 @@
       !$OMP END MASTER
       !$OMP BARRIER
-      do i = 1, klon
+      DO i = 1, klon
         aux_var2(i) = pctsrf(i, is_oce)
       enddo
@@ -1954,5 +1954,5 @@
       !$OMP BARRIER
 
-      do i = 1, klon
+      DO i = 1, klon
         aux_var2(i) = pctsrf(i, is_sic)
       enddo
@@ -1967,5 +1967,5 @@
       !$OMP BARRIER
 
-      do i = 1, klon
+      DO i = 1, klon
         aux_var2(i) = pctsrf(i, is_ter)
       enddo
@@ -1980,5 +1980,5 @@
       !$OMP BARRIER
 
-      do i = 1, klon
+      DO i = 1, klon
         aux_var2(i) = pctsrf(i, is_lic)
       enddo
@@ -2066,10 +2066,10 @@
     !     .                                         MAXVAL(tr_seri(:,:,3))
 #ifdef IOPHYS_DUST
-      do itr=1,nbtr
+      DO itr=1,nbtr
          WRITE(str2,'(i2.2)') itr
          CALL iophys_ecrit('sav'//str2,1,'SOURCE','',source_tr(:,itr))
          CALL iophys_ecrit('fav'//str2,1,'SOURCE','',source_tr(:,itr))
       enddo
-      do itr=1,nbtr
+      DO itr=1,nbtr
          WRITE(str2,'(i2.2)') itr
          CALL iophys_ecrit('TRB'//str2,klev,'SOURCE','',tr_seri(:,:,itr))
@@ -2099,5 +2099,5 @@
 
 #ifdef IOPHYS_DUST
-      do itr=1,nbtr
+      DO itr=1,nbtr
          WRITE(str2,'(i2.2)') itr
          CALL iophys_ecrit('sap'//str2,1,'SOURCE','',source_tr(:,itr))
@@ -2196,5 +2196,5 @@
 #ifdef IOPHYS_DUST
 
-      do itr=1,nbtr
+      DO itr=1,nbtr
          WRITE(str2,'(i2.2)') itr
          CALL iophys_ecrit('tpr'//str2,1,'SOURCE','',source_tr(:,itr))
@@ -2240,5 +2240,5 @@
 
 #ifdef IOPHYS_DUST
-      do itr=1,nbtr
+      DO itr=1,nbtr
          WRITE(str2,'(i2.2)') itr
          CALL iophys_ecrit('t'//str2,1,'SOURCE','',source_tr(:,itr))
@@ -2296,5 +2296,5 @@
 
 #ifdef IOPHYS_DUST
-      do itr=1,nbtr
+      DO itr=1,nbtr
          WRITE(str2,'(i2.2)') itr
          CALL iophys_ecrit('TRC'//str2,klev,'SOURCE','',tr_seri(:,:,itr))
@@ -2336,5 +2336,5 @@
 
 #ifdef IOPHYS_DUST
-      do itr=1,nbtr
+      DO itr=1,nbtr
          WRITE(str2,'(i2.2)') itr
          CALL iophys_ecrit('TRD'//str2,klev,'SOURCE','',tr_seri(:,:,itr))
@@ -2410,5 +2410,5 @@
       CALL iophys_ecrit('yv1',1,'yv1','',yv1)
       CALL iophys_ecrit('delp',klev,'delp','',delp)
-      do itr=1,nbtr
+      DO itr=1,nbtr
          WRITE(str2,'(i2.2)') itr
          CALL iophys_ecrit('TRE'//str2,klev,'SOURCE','',tr_seri(:,:,itr))
@@ -2602,5 +2602,5 @@
     !=======================================================================
 #ifdef IOPHYS_DUST
-      do itr=1,nbtr
+      DO itr=1,nbtr
          WRITE(str2,'(i2.2)') itr
          CALL iophys_ecrit('TRF'//str2,klev,'SOURCE','',tr_seri(:,:,itr))
@@ -2689,5 +2689,5 @@
 
 #ifdef IOPHYS_DUST
-      do itr=1,nbtr
+      DO itr=1,nbtr
          WRITE(str2,'(i2.2)') itr
          CALL iophys_ecrit('TRG'//str2,klev,'SOURCE','',tr_seri(:,:,itr))
@@ -2854,5 +2854,5 @@
 
 #ifdef IOPHYS_DUST
-      do itr=1,nbtr
+      DO itr=1,nbtr
          WRITE(str2,'(i2.2)') itr
          CALL iophys_ecrit('TRH'//str2,klev,'SOURCE','',tr_seri(:,:,itr))
@@ -3053,5 +3053,5 @@
       CALL iophys_ecrit('wdtrainM',klev,'wdtrainM','',wdtrainM)
 
-      do itr=1,nbtr
+      DO itr=1,nbtr
          WRITE(str2,'(i2.2)') itr
          CALL iophys_ecrit('TRI'//str2,klev,'SOURCE','',tr_seri(:,:,itr))
@@ -3174,5 +3174,5 @@
     !=======================================================================
 #ifdef IOPHYS_DUST
-      do itr=1,nbtr
+      DO itr=1,nbtr
          WRITE(str2,'(i2.2)') itr
          CALL iophys_ecrit('TRJ'//str2,klev,'SOURCE','',tr_seri(:,:,itr))
@@ -3440,5 +3440,5 @@
     !======================================================================
 #ifdef IOPHYS_DUST
-      do itr=1,nbtr
+      DO itr=1,nbtr
          WRITE(str2,'(i2.2)') itr
          CALL iophys_ecrit('TRK'//str2,klev,'SOURCE','',tr_seri(:,:,itr))
@@ -4306,5 +4306,5 @@
     IF (is_mpi_root .AND. is_omp_root) THEN
       OPEN(1, file = trim(adjustl(filescaleparams)), form = 'unformatted')
-      do k = 1, nbreg
+      DO k = 1, nbreg
         read(1)  scale_param(k)
       enddo
@@ -4454,5 +4454,5 @@
       ierr = nf90_open(trim(adjustl(filescaleparams)), nf90_nowrite, nid)
       IF (ierr == nf90_noerr) THEN
-        do i = 1, nbreg
+        DO i = 1, nbreg
           WRITE(aux_2s, '(i2.2)') i
           varname = trim(adjustl(paramname)) // aux_2s
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/read_surface.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/read_surface.F90	(revision 5153)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/read_surface.F90	(revision 5158)
@@ -52,5 +52,5 @@
       latstr='null'
       isinversed=.FALSE.
-      do i=1,5
+      DO i=1,5
        IF (i==1) aux4s='latu'
        IF (i==2) aux4s='LATU'
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/read_vent.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/read_vent.f90	(revision 5153)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/read_vent.f90	(revision 5158)
@@ -111,6 +111,6 @@
   REAL :: zz
 
-  do l = 1, nl
-    do i = 2, iim - 1
+  DO l = 1, nl
+    DO i = 2, iim - 1
       IF(abs(x(i, l))>1.e10) THEN
         zz = 0.5 * (x(i - 1, l) + x(i + 1, l))
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/spla_output_dat.h
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/spla_output_dat.h	(revision 5153)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/spla_output_dat.h	(revision 5158)
@@ -192,5 +192,5 @@
 !      (/ 't_max(X)', 't_max(X)', 't_max(X)', 't_max(X)', 't_max(X)',  &
 !         't_max(X)', 't_max(X)', 't_max(X)', 't_max(X)', 't_max(X)' /))
-	
+
   type(ctrl_out),save :: o_trm01     = ctrl_out((/ 4, 4, 4, 10, 10, 10, 10, 10, 10, 10 /), &
   'trm01','Burden PREC','', (/ ('', i=1, 10) /))