Index: LMDZ6/branches/cirrus/libf/phylmd/lmdz_lscp_condensation.F90
===================================================================
--- LMDZ6/branches/cirrus/libf/phylmd/lmdz_lscp_condensation.F90	(revision 5163)
+++ LMDZ6/branches/cirrus/libf/phylmd/lmdz_lscp_condensation.F90	(revision 5165)
@@ -121,5 +121,6 @@
 USE lmdz_lscp_ini,        ONLY: lunout
 
-USE lmdz_lscp_ini,        ONLY: capa_cond_cirrus, mu_subl_pdf_lscp, beta_pdf_lscp, temp_thresh_pdf_lscp, &
+USE lmdz_lscp_ini,        ONLY: depo_coef_cirrus, capa_cond_cirrus, &
+                                mu_subl_pdf_lscp, beta_pdf_lscp, temp_thresh_pdf_lscp, &
                                 rhlmid_pdf_lscp, k0_pdf_lscp, kappa_pdf_lscp, rhl0_pdf_lscp, &
                                 cond_thresh_pdf_lscp, coef_mixing_lscp, coef_shear_lscp, & 
@@ -397,5 +398,9 @@
         !--ka is the thermal conductivity of dry air [J/m/s/K]
         !
-        !--We fix alpha = 0.5 following Lohmann et al. (2016)
+        !--alpha is a coefficient to take into account the fact that during deposition, a water
+        !--molecule cannot join the crystal from everywhere, it must do so that the crystal stays
+        !--coherent (with the same structure). It has no impact for sublimation.
+        !--We fix alpha = depo_coef_cirrus (=0.5 by default following Lohmann et al. (2016))
+        !--during deposition, and alpha = 1. during sublimation.
         !--The capacitance of the ice crystals is proportional to a parameter capa_cond_cirrus
         !-- C = capa_cond_cirrus * r_ice
@@ -426,8 +431,7 @@
         !--  *alpha/qsat*capa_cond_cirrus/ (R_v*T/esi/Dv + Ls/ka/T*(Ls*R_v/T - 1)) / ( 1/3 r_ice_0**2 rho_ice )
         !--and we have
-        !-- dqvc/dt = - qi**(1/3) * (qvc - qsat) / kappa * qi_0**(2/3) / r_ice_0**2
-        !-- dqi/dt  =   qi**(1/3) * (qvc - qsat) / kappa * qi_0**(2/3) / r_ice_0**2
-        !--where kappa = (2/3*rho_ice)/capa_cond_cirrus*qsat*(R_v*T/esi/Dv + Ls/ka/T*(Ls/R_v/T - 1))
-        !--having replaced alpha = 0.5 in the formula
+        !-- dqvc/dt = - qi**(1/3) * (qvc - qsat) / kappa * alpha * qi_0**(2/3) / r_ice_0**2
+        !-- dqi/dt  =   qi**(1/3) * (qvc - qsat) / kappa * alpha * qi_0**(2/3) / r_ice_0**2
+        !--where kappa = 1/3*rho_ice/capa_cond_cirrus*qsat*(R_v*T/esi/Dv + Ls/ka/T*(Ls/R_v/T - 1))
         !
         !--This system of equations can be resolved with an exact
@@ -444,5 +448,5 @@
         !--This formula for water vapor diffusivity comes from Hall and Pruppacher (1976)
         water_vapor_diff = 0.211 * ( temp(i) / RTT )**1.94 * ( 101325. / pplay(i) ) * 1.e-4
-        kappa = 2. / 3. * rho_ice / capa_cond_cirrus * qsat(i) &
+        kappa = 1. / 3. * rho_ice / capa_cond_cirrus * qsat(i) &
               * ( RV * temp(i) / water_vapor_diff / pres_sat &
                 + RLSTT / air_thermal_conduct / temp(i) * ( RLSTT / RV / temp(i) - 1. ) )
@@ -493,5 +497,5 @@
               !--Exact explicit integration (qvc exact, qice explicit)
               qvapincld_new = qsat(i) + ( qvapincld - qsat(i) ) &
-                            * EXP( - dtime * qiceincld / kappa / r_ice**2. )
+                            * EXP( - depo_coef_cirrus * dtime * qiceincld / kappa / r_ice**2. )
             ELSE
               !--If the cloud is initially subsaturated
@@ -695,5 +699,5 @@
             !--Exact explicit version
             qvapincld = qsat(i) + ( qvapincld - qsat(i) ) &
-                      * EXP( - dtime / 2. * qiceincld / kappa / r_ice**2. )
+                      * EXP( - depo_coef_cirrus * dtime / 2. * qiceincld / kappa / r_ice**2. )
           ELSE
             !--We keep the saturation adjustment hypothesis, and the vapor in the
Index: LMDZ6/branches/cirrus/libf/phylmd/lmdz_lscp_ini.F90
===================================================================
--- LMDZ6/branches/cirrus/libf/phylmd/lmdz_lscp_ini.F90	(revision 5163)
+++ LMDZ6/branches/cirrus/libf/phylmd/lmdz_lscp_ini.F90	(revision 5165)
@@ -154,4 +154,7 @@
   INTEGER, SAVE, PROTECTED :: iflag_cloud_sublim_pdf=3       ! iflag for the distribution of water inside ice clouds
   !$OMP THREADPRIVATE(iflag_cloud_sublim_pdf)
+
+  REAL, SAVE, PROTECTED :: depo_coef_cirrus=.5               ! [-] deposition coefficient for growth of ice crystals in cirrus clouds
+  !$OMP THREADPRIVATE(depo_coef_cirrus)
 
   REAL, SAVE, PROTECTED :: capa_cond_cirrus=.5               ! [-] capacitance factor for growth/sublimation of ice crystals in cirrus clouds
@@ -392,4 +395,5 @@
     CALL getin_p('ok_weibull_warm_clouds',ok_weibull_warm_clouds)
     CALL getin_p('iflag_cloud_sublim_pdf',iflag_cloud_sublim_pdf)
+    CALL getin_p('depo_coef_cirrus',depo_coef_cirrus)
     CALL getin_p('capa_cond_cirrus',capa_cond_cirrus)
     CALL getin_p('mu_subl_pdf_lscp',mu_subl_pdf_lscp)
@@ -467,4 +471,5 @@
     WRITE(lunout,*) 'lscp_ini, ok_weibull_warm_clouds:', ok_weibull_warm_clouds
     WRITE(lunout,*) 'lscp_ini, iflag_cloud_sublim_pdf:', iflag_cloud_sublim_pdf
+    WRITE(lunout,*) 'lscp_ini, depo_coef_cirrus:', depo_coef_cirrus
     WRITE(lunout,*) 'lscp_ini, capa_cond_cirrus:', capa_cond_cirrus
     WRITE(lunout,*) 'lscp_ini, mu_subl_pdf_lscp:', mu_subl_pdf_lscp