Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_atke_turbulence_ini.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_atke_turbulence_ini.F90	(revision 5165)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_atke_turbulence_ini.F90	(revision 5172)
@@ -50,5 +50,6 @@
     !!
     !! ** Purpose :   Initialization of the atke module and choice of some constants
-    !!
+    !!Default values correspond to the  'best' configuration
+      !!                from tuning on GABLS1 in Vignon et al. 2024, JAMES
     !!----------------------------------------------------------------------
 
@@ -74,9 +75,9 @@
 
     ! flag that controls options in atke_compute_km_kh
-    iflag_atke = 0
+    iflag_atke = 1
     CALL getin_p('iflag_atke', iflag_atke)
 
     ! flag that controls the calculation of mixing length in atke
-    iflag_atke_lmix = 0
+    iflag_atke_lmix = 3
     CALL getin_p('iflag_atke_lmix', iflag_atke_lmix)
 
@@ -86,7 +87,7 @@
     endif
 
-    ! activate vertical diffusion of TKE or not
-    atke_ok_vdiff = .FALSE.
-    CALL getin_p('atke_ok_vdiff', atke_ok_vdiff)
+      ! activate vertical diffusion of TKE or not
+      atke_ok_vdiff = .TRUE.
+      CALL getin_p('atke_ok_vdiff', atke_ok_vdiff)
 
     ! account for vapor for flottability
@@ -102,13 +103,13 @@
     ! Sun et al 2011, JAMC
     ! between 10 and 40
-    l0 = 15.0
+    l0 = 42.5279652116005
     CALL getin_p('atke_l0', l0)
 
     ! critical Richardson number
-    ric = 0.25
+    ric = 0.190537327781655
     CALL getin_p('atke_ric', ric)
 
     ! constant for tke dissipation calculation
-    cepsilon = 5.87 ! default value as in yamada4
+    cepsilon = 8.89273387537601
     CALL getin_p('atke_cepsilon', cepsilon)
 
@@ -132,5 +133,5 @@
 
     ! slope of Pr=f(Ri) for stable conditions
-    pr_slope = 5.0 ! default value from Zilitinkevich et al. 2005
+    pr_slope = 4.67885738180385
     CALL getin_p('atke_pr_slope', pr_slope)
     IF (pr_slope <= 1) THEN
@@ -140,5 +141,5 @@
 
     ! value of turbulent prandtl number in neutral conditions (Ri=0)
-    pr_neut = 0.8
+    pr_neut = 0.837372701768868
     CALL getin_p('atke_pr_neut', pr_neut)
 
@@ -152,5 +153,5 @@
 
     ! coefficient for mixing length depending on local stratification
-    clmix = 0.5
+    clmix = 0.648055235325291
     CALL getin_p('atke_clmix', clmix)
 
@@ -161,10 +162,10 @@
     ! minimum anisotropy coefficient (defined here as minsqrt(Ez/Ek)) at large Ri.
     ! From Zilitinkevich et al. 2013, it equals sqrt(0.03)~0.17
-    smmin = 0.17
+    smmin = 0.0960838631869678
     CALL getin_p('atke_smmin', smmin)
 
     ! ratio between the eddy diffusivity coeff for tke wrt that for momentum
     ! default value from Lenderink et al. 2004
-    cke = 2.
+    cke = 2.47069655134662
     CALL getin_p('atke_cke', cke)
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/physiq_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/physiq_mod.F90	(revision 5165)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/physiq_mod.F90	(revision 5172)
@@ -1734,7 +1734,8 @@
       IF (.NOT. create_etat0_limit) CALL init_readaerosolstrato(flag_aerosol_strat)  !! initialise aero strato from file for XIOS interpolation (unstructured_grid)
 
+      ! A.I : Initialisations pour le 1er passage a Cosp
       IF (ok_cosp) THEN
+
         IF (CPPKEY_COSP) THEN
-          ! A.I : Initialisations pour le 1er passage a Cosp
           CALL ini_COSP(ref_liq_cosp0, ref_ice_cosp0, pctsrf_cosp0, zu10m_cosp0, zv10m_cosp0, &
                   zxtsol_cosp0, zx_rh_cosp0, cldfra_cosp0, rnebcon_cosp0, flwc_cosp0, &
@@ -1754,24 +1755,4 @@
                   pmflxr_cosp0(:, 1:klev), pmflxs_cosp0(:, 1:klev), &
                   mr_ozone_cosp0, cldtau_cosp0, cldemi_cosp0)
-        END IF
-
-        IF (CPPKEY_COSP2) THEN
-          CALL ini_COSP(ref_liq_cosp0, ref_ice_cosp0, pctsrf_cosp0, zu10m_cosp0, zv10m_cosp0, &
-                  zxtsol_cosp0, zx_rh_cosp0, cldfra_cosp0, rnebcon_cosp0, flwc_cosp0, &
-                  fiwc_cosp0, prfl_cosp0, psfl_cosp0, pmflxr_cosp0, pmflxs_cosp0, &
-                  mr_ozone_cosp0, cldtau_cosp0, cldemi_cosp0, JrNt_cosp0)
-
-          CALL phys_cosp2(itap, phys_tstep, freq_cosp, &
-                  ok_mensuelCOSP, ok_journeCOSP, ok_hfCOSP, &
-                  ecrit_mth, ecrit_day, ecrit_hf, ok_all_xml, missing_val, &
-                  klon, klev, longitude_deg, latitude_deg, presnivs, overlap, &
-                  JrNt, ref_liq, ref_ice, &
-                  pctsrf(:, is_ter) + pctsrf(:, is_lic), &
-                  zu10m, zv10m, pphis, &
-                  zphi, paprs(:, 1:klev), pplay, zxtsol, t_seri, &
-                  qx(:, :, ivap), zx_rh, cldfra, rnebcon, flwc, fiwc, &
-                  prfl(:, 1:klev), psfl(:, 1:klev), &
-                  pmflxr(:, 1:klev), pmflxs(:, 1:klev), &
-                  mr_ozone, cldtau, cldemi)
         END IF
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/cosp2
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/cosp2	(revision 5165)
+++ 	(revision )
@@ -1,1 +1,0 @@
-link ../phylmd/cosp/
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/physiq_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/physiq_mod.F90	(revision 5165)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/physiq_mod.F90	(revision 5172)
@@ -1920,7 +1920,8 @@
       IF (.NOT. create_etat0_limit) CALL init_readaerosolstrato(flag_aerosol_strat)  !! initialise aero strato from file for XIOS interpolation (unstructured_grid)
 
+      ! A.I : Initialisations pour le 1er passage a Cosp
       IF (ok_cosp) THEN
+
 IF (CPPKEY_COSP) THEN
-        ! A.I : Initialisations pour le 1er passage a Cosp
         CALL ini_COSP(ref_liq_cosp0,ref_ice_cosp0,pctsrf_cosp0,zu10m_cosp0,zv10m_cosp0, &
                zxtsol_cosp0,zx_rh_cosp0,cldfra_cosp0,rnebcon_cosp0,flwc_cosp0, &
@@ -1940,24 +1941,4 @@
                pmflxr_cosp0(:,1:klev),pmflxs_cosp0(:,1:klev), &
                mr_ozone_cosp0,cldtau_cosp0, cldemi_cosp0)
-END IF
-
-IF (CPPKEY_COSP2) THEN
-        CALL ini_COSP(ref_liq_cosp0,ref_ice_cosp0,pctsrf_cosp0,zu10m_cosp0,zv10m_cosp0, &
-               zxtsol_cosp0,zx_rh_cosp0,cldfra_cosp0,rnebcon_cosp0,flwc_cosp0, &
-               fiwc_cosp0,prfl_cosp0,psfl_cosp0,pmflxr_cosp0,pmflxs_cosp0, &
-               mr_ozone_cosp0,cldtau_cosp0,cldemi_cosp0,JrNt_cosp0)
-     
-        CALL phys_cosp2(itap,phys_tstep,freq_cosp, &
-               ok_mensuelCOSP,ok_journeCOSP,ok_hfCOSP, &
-               ecrit_mth,ecrit_day,ecrit_hf, ok_all_xml, missing_val, &
-               klon,klev,longitude_deg,latitude_deg,presnivs,overlap, &
-               JrNt,ref_liq,ref_ice, &
-               pctsrf(:,is_ter)+pctsrf(:,is_lic), &
-               zu10m,zv10m,pphis, &
-               zphi,paprs(:,1:klev),pplay,zxtsol,t_seri, &
-               qx(:,:,ivap),zx_rh,cldfra,rnebcon,flwc,fiwc, &
-               prfl(:,1:klev),psfl(:,1:klev), &
-               pmflxr(:,1:klev),pmflxs(:,1:klev), &
-               mr_ozone,cldtau, cldemi)
 END IF
 