Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/aeropt_spl.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/aeropt_spl.f90	(revision 5179)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/aeropt_spl.f90	(revision 5182)
@@ -9,5 +9,5 @@
 
   USE dimphy
-  USE infotrac
+  USE lmdz_infotrac
   USE lmdz_yomcst
   USE lmdz_dimensions, ONLY: iim, jjm, llm, ndm
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/blcloud_scav.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/blcloud_scav.f90	(revision 5179)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/blcloud_scav.f90	(revision 5182)
@@ -7,5 +7,5 @@
   USE dimphy
   USE indice_sol_mod
-  USE infotrac
+  USE lmdz_infotrac
   USE lmdz_yomcst
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/blcloud_scav_lsc.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/blcloud_scav_lsc.f90	(revision 5179)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/blcloud_scav_lsc.f90	(revision 5182)
@@ -7,5 +7,5 @@
   USE dimphy
   USE indice_sol_mod
-  USE infotrac
+  USE lmdz_infotrac
   USE lmdz_yomcst
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/cm3_to_kg.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/cm3_to_kg.f90	(revision 5179)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/cm3_to_kg.f90	(revision 5182)
@@ -2,5 +2,5 @@
 
   USE dimphy
-  USE infotrac
+  USE lmdz_infotrac
   USE indice_sol_mod
   USE lmdz_yomcst
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/coarsemission.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/coarsemission.f90	(revision 5179)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/coarsemission.f90	(revision 5182)
@@ -27,5 +27,5 @@
   USE dimphy
   USE indice_sol_mod
-  USE infotrac
+  USE lmdz_infotrac
   USE dustemission_mod, ONLY: dustemission
   ! USE lmdz_phytracr_spl, ONLY: nbreg_dust, nbreg_ind, nbreg_bb
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/deposition.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/deposition.f90	(revision 5179)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/deposition.f90	(revision 5182)
@@ -7,5 +7,5 @@
 
   USE dimphy
-  USE infotrac
+  USE lmdz_infotrac
   USE indice_sol_mod
   USE lmdz_yomcst
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/dustemission_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/dustemission_mod.F90	(revision 5179)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/dustemission_mod.F90	(revision 5182)
@@ -171,5 +171,5 @@
                           emdustacc,emdustcoa,emdustsco,maskdust)    !Output
   USE dimphy
-  USE infotrac
+  USE lmdz_infotrac
   USE lmdz_writefield_phy
   USE lmdz_grid_phy
@@ -248,5 +248,5 @@
  SUBROUTINE makemask(maskdustloc) 
   USE dimphy
-  USE infotrac
+  USE lmdz_infotrac
   IMPLICIT NONE
   !Input
@@ -278,5 +278,5 @@
 
   USE dimphy
-  USE infotrac
+  USE lmdz_infotrac
   USE lmdz_writefield_phy
   USE lmdz_grid_phy
@@ -518,5 +518,5 @@
   SUBROUTINE initdust(xlat,xlon,pctsrf)
   USE dimphy
-  USE infotrac
+  USE lmdz_infotrac
   USE lmdz_writefield_phy
   USE lmdz_grid_phy
@@ -1106,5 +1106,5 @@
   ! emisions over 12 dust bin
   USE dimphy
-  USE infotrac
+  USE lmdz_infotrac
 
   IMPLICIT NONE
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/finemission.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/finemission.f90	(revision 5179)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/finemission.f90	(revision 5182)
@@ -13,5 +13,5 @@
   USE dimphy
   USE indice_sol_mod
-  USE infotrac
+  USE lmdz_infotrac
   ! USE lmdz_phytracr_spl, ONLY: nbreg_dust, nbreg_ind, nbreg_bb
   USE lmdz_yomcst
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/gastoparticle.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/gastoparticle.f90	(revision 5179)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/gastoparticle.f90	(revision 5182)
@@ -2,5 +2,5 @@
         id_prec, id_fine, tr_seri, his_g2pgas, his_g2paer)
   USE dimphy
-  USE infotrac
+  USE lmdz_infotrac
   USE lmdz_YOECUMF
   USE lmdz_yomcst
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/incloud_scav.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/incloud_scav.f90	(revision 5179)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/incloud_scav.f90	(revision 5182)
@@ -6,5 +6,5 @@
 
   USE dimphy
-  USE infotrac
+  USE lmdz_infotrac
   USE indice_sol_mod
   USE lmdz_yomcst
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/incloud_scav_lsc.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/incloud_scav_lsc.f90	(revision 5179)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/incloud_scav_lsc.f90	(revision 5182)
@@ -6,5 +6,5 @@
 
   USE dimphy
-  USE infotrac
+  USE lmdz_infotrac
   USE indice_sol_mod
   USE lmdz_yomcst
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/kg_to_cm3.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/kg_to_cm3.f90	(revision 5179)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/kg_to_cm3.f90	(revision 5182)
@@ -2,5 +2,5 @@
 
   USE dimphy
-  USE infotrac
+  USE lmdz_infotrac
   USE lmdz_yomcst
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/lmdz_phytracr_spl.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/lmdz_phytracr_spl.F90	(revision 5179)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/lmdz_phytracr_spl.F90	(revision 5182)
@@ -783,5 +783,5 @@
     USE IOIPSL
     USE dimphy
-    USE infotrac
+    USE lmdz_infotrac
     USE indice_sol_mod
     USE lmdz_writefield_phy
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/lmdz_precuremission.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/lmdz_precuremission.f90	(revision 5179)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/lmdz_precuremission.f90	(revision 5182)
@@ -24,5 +24,5 @@
     USE dimphy
     USE indice_sol_mod
-    USE infotrac
+    USE lmdz_infotrac
     USE lmdz_yomcst
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/lsc_scav_orig.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/lsc_scav_orig.F90	(revision 5179)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/lsc_scav_orig.F90	(revision 5182)
@@ -9,5 +9,5 @@
   USE lmdz_phys_para
   USE traclmdz_mod
-  USE infotrac, ONLY: nbtr
+  USE lmdz_infotrac, ONLY: nbtr
   USE iophy
   USE lmdz_yomcst
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/lsc_scav_spl.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/lsc_scav_spl.F90	(revision 5179)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/lsc_scav_spl.F90	(revision 5182)
@@ -11,5 +11,5 @@
   USE lmdz_phys_para
   USE traclmdz_mod
-  USE infotrac, ONLY: nbtr
+  USE lmdz_infotrac, ONLY: nbtr
   USE iophy
   USE lmdz_yomcst
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/minmaxqfi2.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/minmaxqfi2.f90	(revision 5179)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/minmaxqfi2.f90	(revision 5182)
@@ -2,5 +2,5 @@
 
   USE dimphy
-  USE infotrac
+  USE lmdz_infotrac
   USE lmdz_libmath, ONLY: ismax, ismin
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/minmaxsource.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/minmaxsource.f90	(revision 5179)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/minmaxsource.f90	(revision 5182)
@@ -2,5 +2,5 @@
 
   USE dimphy
-  USE infotrac
+  USE lmdz_infotrac
   USE lmdz_libmath, ONLY: ismax, ismin
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/phys_output_write_spl_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/phys_output_write_spl_mod.F90	(revision 5179)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/phys_output_write_spl_mod.F90	(revision 5182)
@@ -382,5 +382,5 @@
     USE pbl_surface_mod, ONLY: snow
     USE indice_sol_mod, ONLY: nbsrf
-    USE infotrac, ONLY: nqtot, nbtr, tracers
+    USE lmdz_infotrac, ONLY: nqtot, nbtr, tracers
     USE lmdz_geometry, ONLY: cell_area
     USE surface_data, ONLY: type_ocean, version_ocean, ok_veget, landice_opt
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/sediment_mod.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/sediment_mod.f90	(revision 5179)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/sediment_mod.f90	(revision 5182)
@@ -9,5 +9,5 @@
 
   USE dimphy
-  USE infotrac
+  USE lmdz_infotrac
   USE lmdz_YOECUMF
   USE lmdz_yomcst
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/trconvect.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/trconvect.f90	(revision 5179)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/trconvect.f90	(revision 5182)
@@ -5,5 +5,5 @@
 
   USE dimphy
-  USE infotrac
+  USE lmdz_infotrac
   USE indice_sol_mod
   USE lmdz_yomcst
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz_1dutils.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz_1dutils.f90	(revision 5179)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz_1dutils.f90	(revision 5182)
@@ -702,5 +702,5 @@
     USE iostart
     USE lmdz_writefield_phy
-    USE infotrac
+    USE lmdz_infotrac
     USE control_mod
     USE comconst_mod, ONLY: im, jm, lllm
@@ -836,5 +836,5 @@
     USE phys_state_var_mod
     USE iostart
-    USE infotrac
+    USE lmdz_infotrac
     USE control_mod
     USE comconst_mod, ONLY: cpp, daysec, dtvr, g, kappa, omeg, rad
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz_old_lmdz1d.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz_old_lmdz1d.F90	(revision 5179)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz_old_lmdz1d.F90	(revision 5182)
@@ -33,5 +33,5 @@
     USE fonte_neige_mod, ONLY: fonte_neige_init, fonte_neige_final
 
-    USE infotrac
+    USE lmdz_infotrac
     USE control_mod
     USE indice_sol_mod
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz_scm.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz_scm.F90	(revision 5179)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz_scm.F90	(revision 5182)
@@ -27,5 +27,5 @@
     USE fonte_neige_mod, ONLY: fonte_neige_init, fonte_neige_final
 
-    USE infotrac
+    USE lmdz_infotrac
     USE control_mod
     USE indice_sol_mod