Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/physiq_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/physiq_mod.F90	(revision 5182)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/physiq_mod.F90	(revision 5185)
@@ -116,15 +116,14 @@
     USE lmdz_calcul_divers, ONLY: calcul_divers
 
-    USE lmdz_cppkeys_wrapper, ONLY: CPPKEY_DUST, CPPKEY_STRATAER, CPPKEY_COSP, CPPKEY_COSP2, CPPKEY_COSPV2
+    USE lmdz_cppkeys_wrapper, ONLY: CPPKEY_DUST, CPPKEY_STRATAER, CPPKEY_COSP, CPPKEY_COSP2, CPPKEY_COSPV2, &
+            CPPKEY_REPROBUS
 
 !!!!!!!!!!!!!!!!!! "USE" section for CPP keys !!!!!!!!!!!!!!!!!!!!!!!!
 
 
-#ifdef REPROBUS
-    USE chem_rep, ONLY: Init_chem_rep_xjour, d_q_rep, d_ql_rep, d_qi_rep, &
+    USE lmdz_reprobus_wrappers, ONLY: Init_chem_rep_xjour, d_q_rep, d_ql_rep, d_qi_rep, &
                         ptrop, ttrop, ztrop, gravit, itroprep, Z1, Z2, fac, B
     USE strataer_local_var_mod
     USE strataer_emiss_mod, ONLY: strataer_emiss_init
-#endif
 
 #ifdef CPP_RRTM
@@ -1482,8 +1481,8 @@
           CALL regr_horiz_time_climoz(read_climoz,ok_daily_climoz)
 
-#ifdef REPROBUS
-       CALL strataer_init
-       CALL strataer_emiss_init
-#endif
+       IF (CPPKEY_REPROBUS) THEN
+         CALL strataer_init
+         CALL strataer_emiss_init
+       END IF
 
 IF (CPPKEY_STRATAER) THEN
@@ -2373,16 +2372,16 @@
 
        IF (type_trac == 'repr') THEN
-#ifdef REPROBUS
-          CALL chemini_rep(  &
-               presnivs, &
-               pdtphys, &
-               annee_ref, &
-               day_ref,  &
-               day_ini, &
-               start_time, &
-               itau_phy, &
-               io_lon, &
-               io_lat)
-#endif
+         IF (CPPKEY_REPROBUS) THEN
+           CALL chemini_rep(&
+                   presnivs, &
+                   pdtphys, &
+                   annee_ref, &
+                   day_ref, &
+                   day_ini, &
+                   start_time, &
+                   itau_phy, &
+                   io_lon, &
+                   io_lat)
+         END IF
        ENDIF
 
@@ -2490,9 +2489,9 @@
     ! Update time and other variables in Reprobus
     IF (type_trac == 'repr') THEN
-#ifdef REPROBUS
-       CALL Init_chem_rep_xjour(jD_cur-jD_ref+day_ref)
-       PRINT*,'xjour equivalent rjourvrai',jD_cur-jD_ref+day_ref
-       CALL Rtime(debut)
-#endif
+      IF (CPPKEY_REPROBUS) THEN
+        CALL Init_chem_rep_xjour(jD_cur - jD_ref + day_ref)
+        PRINT*, 'xjour equivalent rjourvrai', jD_cur - jD_ref + day_ref
+        CALL Rtime(debut)
+      END IF
     ENDIF
 
@@ -2936,20 +2935,20 @@
 
           wo(:,:,1)=ozonecm(latitude_deg, paprs,read_climoz,rjour=zzz)
-#ifdef REPROBUS
-          ptrop=dyn_tropopause(t_seri, ztsol, paprs, pplay, rot)/100.
-          DO i = 1, klon
-             Z1=t_seri(i,itroprep(i)+1)
-             Z2=t_seri(i,itroprep(i))
-             fac=(Z1-Z2)/alog(pplay(i,itroprep(i)+1)/pplay(i,itroprep(i)))
-             B=Z2-fac*alog(pplay(i,itroprep(i)))
-             ttrop(i)= fac*alog(ptrop(i))+B
-
-             Z1= 1.e-3 * ( pphi(i,itroprep(i)+1)+pphis(i) ) / gravit
-             Z2= 1.e-3 * ( pphi(i,itroprep(i))  +pphis(i) ) / gravit
-             fac=(Z1-Z2)/alog(pplay(i,itroprep(i)+1)/pplay(i,itroprep(i)))
-             B=Z2-fac*alog(pplay(i,itroprep(i)))
-             ztrop(i)=fac*alog(ptrop(i))+B
-          ENDDO
-#endif
+          IF (CPPKEY_REPROBUS) THEN
+            ptrop = dyn_tropopause(t_seri, ztsol, paprs, pplay, rot) / 100.
+            DO i = 1, klon
+              Z1 = t_seri(i, itroprep(i) + 1)
+              Z2 = t_seri(i, itroprep(i))
+              fac = (Z1 - Z2) / alog(pplay(i, itroprep(i) + 1) / pplay(i, itroprep(i)))
+              B = Z2 - fac * alog(pplay(i, itroprep(i)))
+              ttrop(i) = fac * alog(ptrop(i)) + B
+
+              Z1 = 1.e-3 * (pphi(i, itroprep(i) + 1) + pphis(i)) / gravit
+              Z2 = 1.e-3 * (pphi(i, itroprep(i)) + pphis(i)) / gravit
+              fac = (Z1 - Z2) / alog(pplay(i, itroprep(i) + 1) / pplay(i, itroprep(i)))
+              B = Z2 - fac * alog(pplay(i, itroprep(i)))
+              ztrop(i) = fac * alog(ptrop(i)) + B
+            ENDDO
+          END IF
        ELSE
           !--- ro3i = elapsed days number since current year 1st january, 0h
@@ -5602,8 +5601,8 @@
     ENDIF !type_trac = inca or inco
     IF (type_trac == 'repr') THEN
-#ifdef REPROBUS
-    !CALL chemtime_rep(itap+itau_phy-1, date0, dtime, itap)
-    CALL chemtime_rep(itap+itau_phy-1, date0, phys_tstep, itap) 
-#endif
+      IF (CPPKEY_REPROBUS) THEN
+        !CALL chemtime_rep(itap+itau_phy-1, date0, dtime, itap)
+        CALL chemtime_rep(itap + itau_phy - 1, date0, phys_tstep, itap)
+      END IF
     ENDIF
 
@@ -6788,9 +6787,9 @@
 !MM                               dans Reprobus
        sh_in(:,:) = q_seri(:,:)
-#ifdef REPROBUS
-       d_q_rep(:,:) = 0.
-       d_ql_rep(:,:) = 0.
-       d_qi_rep(:,:) = 0.
-#endif
+       IF (CPPKEY_REPROBUS) THEN
+         d_q_rep(:, :) = 0.
+         d_ql_rep(:, :) = 0.
+         d_qi_rep(:, :) = 0.
+       END IF
     ELSE
        sh_in(:,:) = qx(:,:,ivap)
@@ -6845,17 +6844,20 @@
          d_tr_dyn, &                                 !<<RomP
          tr_seri, init_source)
-#ifdef REPROBUS
-
-
-          PRINT*,'avt add phys rep',abortphy
-
-     CALL add_phys_tend &
-            (du0,dv0,dt0,d_q_rep,d_ql_rep,d_qi_rep,dqbs0,paprs,&
-             'rep',abortphy,flag_inhib_tend,itap,0)
-        IF (abortphy==1) Print*,'ERROR ABORT REP'
-
-          PRINT*,'apr add phys rep',abortphy
-
-#endif
+      IF (CPPKEY_REPROBUS) THEN
+#ifdef ISO
+        CALL abort_gcm("physiq_mod", "StratAer isn't ISO-compatible for now, 07/24",1)
+#else
+
+        PRINT*, 'avt add phys rep', abortphy
+
+        CALL add_phys_tend &
+                (du0, dv0, dt0, d_q_rep, d_ql_rep, d_qi_rep, dqbs0, paprs, &
+                'rep', abortphy, flag_inhib_tend, itap, 0)
+        IF (abortphy==1) Print*, 'ERROR ABORT REP'
+
+        PRINT*, 'apr add phys rep', abortphy
+#endif
+      END IF
+
     ENDIF    ! (iflag_phytrac=1)
 
@@ -7036,7 +7038,7 @@
 
     IF (type_trac == 'repr') THEN
-#ifdef REPROBUS
+      IF (CPPKEY_REPROBUS) THEN
         CALL coord_hyb_rep(paprs, pplay, aps, bps, ap, bp, cell_area)
-#endif
+      END IF
     ENDIF
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/radiation_AR4.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/radiation_AR4.F90	(revision 5182)
+++ 	(revision )
@@ -1,1 +1,0 @@
-link ../phylmd/radiation_AR4.F90
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/radiation_AR4.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/radiation_AR4.f90	(revision 5185)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/radiation_AR4.f90	(revision 5185)
@@ -0,0 +1,1 @@
+link ../phylmd/radiation_AR4.f90
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/tracreprobus_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/tracreprobus_mod.F90	(revision 5182)
+++ 	(revision )
@@ -1,1 +1,0 @@
-link ../phylmd/tracreprobus_mod.F90
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/tracreprobus_mod.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/tracreprobus_mod.f90	(revision 5185)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/tracreprobus_mod.f90	(revision 5185)
@@ -0,0 +1,1 @@
+link ../phylmd/tracreprobus_mod.f90
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/tropopause_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/tropopause_m.F90	(revision 5182)
+++ 	(revision )
@@ -1,1 +1,0 @@
-link ../phylmd/tropopause_m.F90
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/tropopause_m.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/tropopause_m.f90	(revision 5185)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/tropopause_m.f90	(revision 5185)
@@ -0,0 +1,1 @@
+link ../phylmd/tropopause_m.f90